/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "tk4957dialogoptions.h"
#include <iostream.h>
tk4957dialogoptions::tk4957dialogoptions(QWidget *parent, const char *name, QString xorgFile, int sectionNum)
    :tek4957Dialog(parent, name)
{
x = new xorgConf();
x->saveXorg(xorgFile);
sectNum = sectionNum;
kLineEdit12->setText(x->getOption("InputDevice", sectNum, "DeviceName"));
bool ok;

if (x->getOption("InputDevice", sectNum, "Speed") != "")
{
checkBox25->setChecked(TRUE);
kIntSpinBox6->setEnabled(TRUE);
int a = x->getOption("InputDevice", sectNum, "Speed").toInt(&ok, 10);
kIntSpinBox6->setValue(a);
}

if (x->getOption("InputDevice", sectNum, "Resolution") != "")
{
checkBox25_2->setChecked(TRUE);
kComboBox13->setEnabled(TRUE);
int a = x->getOption("InputDevice", sectNum, "Resolution").toInt(&ok, 10);
kComboBox13->setCurrentItem(a);
}

if (x->getOption("InputDevice", sectNum, "TopX") != "")
{
groupBox18->setChecked(TRUE);
bool ok;
int a = x->getOption("InputDevice", sectNum, "TopX").toInt(&ok, 10);
kIntSpinBox7->setValue(a);
}
if (x->getOption("InputDevice", sectNum, "TopY") != "")
{
groupBox18->setChecked(TRUE);
bool ok;
int a = x->getOption("InputDevice", sectNum, "TopY").toInt(&ok, 10);
kIntSpinBox7_2->setValue(a);
}
if (x->getOption("InputDevice", sectNum, "BottomX") != "")
{
groupBox18->setChecked(TRUE);
bool ok;
int a = x->getOption("InputDevice", sectNum, "BottomX").toInt(&ok, 10);
kIntSpinBox7_3->setValue(a);
}
if (x->getOption("InputDevice", sectNum, "BottomY") != "")
{
groupBox18->setChecked(TRUE);
bool ok;
int a = x->getOption("InputDevice", sectNum, "BottomY").toInt(&ok, 10);
kIntSpinBox7_4->setValue(a);
}




}

QString tk4957dialogoptions::returnXorg()
{
return x->returnConfig();
}

void tk4957dialogoptions::speedClick()
{
if (checkBox25->isChecked()) { kIntSpinBox6->setEnabled(TRUE); }
if (!checkBox25->isChecked()) { kIntSpinBox6->setEnabled(FALSE); }
}

void tk4957dialogoptions::resClick()
{
if (checkBox25_2->isChecked()) { kComboBox13->setEnabled(TRUE); }
if (!checkBox25_2->isChecked()) { kComboBox13->setEnabled(FALSE); }
}

void tk4957dialogoptions::accept()
{
if (kLineEdit12->text() == "") { x->removeOption("InputDevice", sectNum, "DeviceName"); }
if (kLineEdit12->text() != "")
{
x->saveOption("InputDevice", sectNum, "DeviceName", 1, kLineEdit12->text());
}



if (!checkBox25->isChecked()) { x->removeOption("InputDevice", sectNum, "Speed"); }
if (checkBox25->isChecked()) 
{
QString num;
num = num.setNum(kIntSpinBox6->value(), 10);
x->saveOption("InputDevice", sectNum, "Speed", 1, num);
}
if (!checkBox25_2->isChecked()) { x->removeOption("InputDevice", sectNum, "Resolution"); }
if (checkBox25_2->isChecked()) 
{
QString num;
num = num.setNum(kComboBox13->currentItem(), 10);
x->saveOption("InputDevice", sectNum, "Resolution", 1, num);
}



if (!groupBox18->isChecked())
{
x->removeOption("InputDevice", sectNum, "TopX");
x->removeOption("InputDevice", sectNum, "TopY");
x->removeOption("InputDevice", sectNum, "BottomX");
x->removeOption("InputDevice", sectNum, "BottomY");
}

if (groupBox18->isChecked())
{
QString num;
num = num.setNum(kIntSpinBox7->value(), 10);
x->saveOption("InputDevice", sectNum, "TopX", 1, num);

num = num.setNum(kIntSpinBox7_2->value(), 10);
x->saveOption("InputDevice", sectNum, "TopY", 1, num);

num = num.setNum(kIntSpinBox7_3->value(), 10);
x->saveOption("InputDevice", sectNum, "BottomX", 1, num);

num = num.setNum(kIntSpinBox7_4->value(), 10);
x->saveOption("InputDevice", sectNum, "BottomY", 1, num);


}

close();
}


#include "tk4957dialogoptions.moc"
